package com.steerinfo.meterwork.meterworkmeterlink.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterWorkMeterLink implements IBasePO<String> {
    /**
     * 环节配置编号(LINK_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="环节配置编号",required=true)
    private String linkNo;

    /**
     * 流程编号(PROCESS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="流程编号",required=true)
    private String processNo;

    /**
     * 计量环节编码(LINK_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="计量环节编码",required=true)
    private String linkCode;

    /**
     * 计量环节名称(LINK_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量环节名称",required=true)
    private String linkName;

    /**
     * 环节描述(LINK_NOTE,VARCHAR,200)
     */
    @ApiModelProperty(value="环节描述",required=true)
    private String linkNote;

    /**
     * 序号(LINK_ORDER_NUM,DECIMAL,2)
     */
    @ApiModelProperty(value="序号",required=true)
    private Short linkOrderNum;

    /**
     * 配置人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="配置人编号",required=true)
    private String createManNo;

    /**
     * 配置人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="配置人姓名",required=true)
    private String createManName;

    /**
     * 配置时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="配置时间",required=true)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.linkNo;
    }

    @Override
    public void setId(String linkNo) {
        this.linkNo = linkNo == null ? null : linkNo.trim();
    }

    public String getLinkNo() {
        return linkNo;
    }

    public void setLinkNo(String linkNo) {
        this.linkNo = linkNo == null ? null : linkNo.trim();
    }

    public String getProcessNo() {
        return processNo;
    }

    public void setProcessNo(String processNo) {
        this.processNo = processNo == null ? null : processNo.trim();
    }

    public String getLinkCode() {
        return linkCode;
    }

    public void setLinkCode(String linkCode) {
        this.linkCode = linkCode == null ? null : linkCode.trim();
    }

    public String getLinkName() {
        return linkName;
    }

    public void setLinkName(String linkName) {
        this.linkName = linkName == null ? null : linkName.trim();
    }

    public String getLinkNote() {
        return linkNote;
    }

    public void setLinkNote(String linkNote) {
        this.linkNote = linkNote == null ? null : linkNote.trim();
    }

    public Short getLinkOrderNum() {
        return linkOrderNum;
    }

    public void setLinkOrderNum(Short linkOrderNum) {
        this.linkOrderNum = linkOrderNum;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", linkNo=").append(linkNo);
        sb.append(", processNo=").append(processNo);
        sb.append(", linkCode=").append(linkCode);
        sb.append(", linkName=").append(linkName);
        sb.append(", linkNote=").append(linkNote);
        sb.append(", linkOrderNum=").append(linkOrderNum);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}